Index: main/waeup.kofa/trunk/src/waeup/kofa/permissions.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/permissions.py	(revision 10277)
+++ main/waeup.kofa/trunk/src/waeup/kofa/permissions.py	(revision 10278)
@@ -71,4 +71,7 @@
     grok.name('waeup.exportData')
 
+class ViewTranscript(grok.Permission):
+    grok.name('waeup.viewTranscript')
+
 class ManagePortalConfiguration(grok.Permission):
     grok.name('waeup.managePortalConfiguration')
@@ -253,4 +256,12 @@
     grok.title(u'Bursary Officer')
     grok.permissions('waeup.showStudents', 'waeup.viewAcademics')
+
+class TranscriptOfficer(grok.Role):
+    grok.name('waeup.TranscriptOfficer')
+    grok.title(u'Transcript Officer')
+    grok.permissions('waeup.showStudents',
+                     'waeup.viewAcademics',
+                     'waeup.viewTranscript',
+                     'waeup.viewStudent')
 
 class UsersManager(grok.Role):
@@ -275,4 +286,5 @@
                      'waeup.importData',
                      'waeup.exportData',
+                     'waeup.viewTranscript',
                      'waeup.managePortalConfiguration', 'waeup.viewApplication',
                      'waeup.manageApplication', 'waeup.handleApplication',
@@ -305,4 +317,5 @@
                      #'waeup.importData',
                      'waeup.exportData',
+                     'waeup.viewTranscript',
                      'waeup.managePortalConfiguration', 'waeup.viewApplication',
                      'waeup.manageApplication', 'waeup.handleApplication',
Index: main/waeup.kofa/trunk/src/waeup/kofa/permissions.txt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/permissions.txt	(revision 10277)
+++ main/waeup.kofa/trunk/src/waeup/kofa/permissions.txt	(revision 10278)
@@ -39,8 +39,8 @@
     >>> from waeup.kofa.permissions import get_waeup_roles
     >>> len(list(get_waeup_roles()))
-    22
+    23
 
     >>> len(list(get_waeup_roles(also_local=True)))
-    39
+    40
 
 
@@ -72,4 +72,5 @@
      u'waeup.StudentsManager',
      u'waeup.StudentsOfficer',
+     u'waeup.TranscriptOfficer',
      u'waeup.UsersManager',
      u'waeup.WorkflowManager',
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 10277)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 10278)
@@ -1065,5 +1065,5 @@
     grok.context(IStudentStudyCourseTranscript)
     grok.name('transcript')
-    grok.require('waeup.viewStudent')
+    grok.require('waeup.viewTranscript')
     grok.template('transcript')
     pnav = 4
@@ -1094,5 +1094,5 @@
     grok.context(IStudentStudyCourse)
     grok.name('transcript.pdf')
-    grok.require('waeup.viewStudent')
+    grok.require('waeup.viewTranscript')
     form_fields = grok.AutoFields(IStudentStudyCourseTranscript)
     prefix = 'form'
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 10277)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 10278)
@@ -2249,9 +2249,9 @@
         self.assertEqual(self.student.state, 'courses registered')
         # Students can view the transcript
-        self.browser.open(self.studycourse_path)
-        self.browser.getLink("Transcript").click()
-        self.browser.getLink("Academic Transcript").click()
-        self.assertEqual(self.browser.headers['Status'], '200 Ok')
-        self.assertEqual(self.browser.headers['Content-Type'], 'application/pdf')
+        #self.browser.open(self.studycourse_path)
+        #self.browser.getLink("Transcript").click()
+        #self.browser.getLink("Academic Transcript").click()
+        #self.assertEqual(self.browser.headers['Status'], '200 Ok')
+        #self.assertEqual(self.browser.headers['Content-Type'], 'application/pdf')
         return
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/viewlets.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/viewlets.py	(revision 10277)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/viewlets.py	(revision 10278)
@@ -348,5 +348,5 @@
     grok.context(IStudentStudyCourse)
     grok.view(StudyCourseDisplayFormPage)
-    grok.require('waeup.viewStudent')
+    grok.require('waeup.viewTranscript')
     text = _('Transcript')
     target = 'transcript'
@@ -363,5 +363,5 @@
     grok.context(IStudentStudyCourse)
     grok.view(StudyCourseTranscriptPage)
-    grok.require('waeup.viewStudent')
+    grok.require('waeup.viewTranscript')
     text = _('Academic Transcript')
     target = 'transcript.pdf'