Index: main/waeup.kofa/trunk/src/waeup/kofa/students/export.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/export.py	(revision 10295)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/export.py	(revision 10296)
@@ -96,4 +96,14 @@
     return payments
 
+def get_paid_payments(students):
+    """Get all paid payments of `students`.
+    """
+    payments = []
+    for student in students:
+        for payment in student.get('payments', {}).values():
+            if payment.p_state == 'paid':
+                payments.append(payment)
+    return payments
+
 def get_bedtickets(students):
     """Get all bedtickets of `students`.
@@ -319,4 +329,7 @@
     grok.name('bursary')
 
+    def filter_func(self, x, **kw):
+        return get_paid_payments(x)
+
     #: Fieldnames considered by this exporter
     fields = tuple(
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_batching.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_batching.py	(revision 10295)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_batching.py	(revision 10296)
@@ -276,4 +276,5 @@
         payment.creation_date = datetime.datetime(2012, 4, 1, 13, 12, 1)
         payment.p_id = 'my-id'
+        payment.p_state = 'paid'
         payment.ac = u'666'
         payment.p_item = u'p-item'
@@ -281,4 +282,5 @@
         payment.p_session = 2012
         payment.payment_date = datetime.datetime(2012, 4, 1, 14, 12, 1)
+        payment.amount_auth = 12.12
         payment.r_amount_approved = 12.12
         payment.r_code = u'r-code'
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_export.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_export.py	(revision 10295)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_export.py	(revision 10296)
@@ -651,6 +651,6 @@
             'r_code,r_desc,student_id,state,current_session\r\n'
 
-            '666,0.0,2012-04-01 13:12:01,schoolfee,1,my-id,'
-            'p-item,100,2012,unpaid,2012-04-01 14:12:01,12.12,'
+            '666,12.12,2012-04-01 13:12:01,schoolfee,1,my-id,'
+            'p-item,100,2012,paid,2012-04-01 14:12:01,12.12,'
             'r-code,,A111111,created,2012\r\n'
             )
@@ -670,6 +670,6 @@
             'r_code,r_desc,student_id,state,current_session\r\n'
 
-            '666,0.0,2012-04-01 13:12:01,schoolfee,1,my-id,'
-            'p-item,100,2012,unpaid,2012-04-01 14:12:01,12.12,'
+            '666,12.12,2012-04-01 13:12:01,schoolfee,1,my-id,'
+            'p-item,100,2012,paid,2012-04-01 14:12:01,12.12,'
             'r-code,,A111111,created,2012\r\n'
             )
@@ -689,6 +689,6 @@
             'r_code,r_desc,student_id,state,current_session\r\n'
 
-            '666,0.0,2012-04-01 13:12:01,schoolfee,1,my-id,'
-            'p-item,100,2012,unpaid,2012-04-01 14:12:01,12.12,'
+            '666,12.12,2012-04-01 13:12:01,schoolfee,1,my-id,'
+            'p-item,100,2012,paid,2012-04-01 14:12:01,12.12,'
             'r-code,,A111111,created,2012\r\n'
             )
@@ -711,6 +711,6 @@
             'r_code,r_desc,student_id,state,current_session\r\n'
 
-            '666,0.0,2012-04-01 13:12:01,schoolfee,1,my-id,'
-            'p-item,100,2012,unpaid,2012-04-01 14:12:01,12.12,'
+            '666,12.12,2012-04-01 13:12:01,schoolfee,1,my-id,'
+            'p-item,100,2012,paid,2012-04-01 14:12:01,12.12,'
             'r-code,,A111111,created,2012\r\n'
             )
@@ -740,6 +740,6 @@
             'state,current_session,entry_session,entry_mode,faccode,depcode\r\n'
 
-            '666,0.0,2012-04-01 13:12:01,schoolfee,1,my-id,p-item,100,2012,'
-            'unpaid,2012-04-01 14:12:01,12.12,r-code,,A111111,234,'
+            '666,12.12,2012-04-01 13:12:01,schoolfee,1,my-id,p-item,100,2012,'
+            'paid,2012-04-01 14:12:01,12.12,r-code,,A111111,234,'
             'Anna,M.,Tester,created,2012,2010,ug_ft,NA,NA\r\n'
             )
@@ -885,5 +885,5 @@
             '%s\r\n'
             'A111111,234,Anna M. Tester,created,CERT1,NA,NA,0,200,2012,ug_ft,'
-            ',,,,,,,,,\r\n' % year_range_str,
+            ',,,,,,,,12.12,\r\n' % year_range_str,
             result
             )
@@ -898,5 +898,5 @@
         payment.p_id = 'my-id'
         payment.p_session = 2009
-        payment.amount_auth = 12.12
+        payment.amount_auth = 13.13
         payment.p_state = u'paid'
         self.student['payments']['my-2ndpayment'] = payment
@@ -909,5 +909,5 @@
             'current_level,current_session,current_mode,'
             '%s\r\nA111111,234,Anna M. Tester,created,CERT1,NA,NA,0,'
-            '200,2012,ug_ft,,,,,,12.12,,,,\r\n' % year_range_str,
+            '200,2012,ug_ft,,,,,,13.13,,,12.12,\r\n' % year_range_str,
             result
             )