Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/pdf.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/pdf.py	(revision 10309)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/pdf.py	(revision 10310)
@@ -20,5 +20,6 @@
 """
 import grok
-from reportlab.platypus import Paragraph, Spacer
+from reportlab.platypus import Paragraph, Spacer, Table
+from reportlab.lib.units import cm
 from zope.component import getUtility
 from zope.i18n import translate
@@ -26,8 +27,13 @@
 from waeup.kofa.browser import DEFAULT_PASSPORT_IMAGE_PATH
 from waeup.kofa.browser.interfaces import IPDFCreator
-from waeup.kofa.browser.pdf import SMALL_PARA_STYLE
+from waeup.kofa.browser.pdf import SMALL_PARA_STYLE, ENTRY1_STYLE
 from waeup.kofa.interfaces import IExtFileStore, IPDF, IKofaUtils
 from waeup.kofa.interfaces import MessageFactory as _
 from waeup.kofa.widgets.datewidget import FriendlyDateDisplayWidget
+
+SLIP_STYLE = [
+    ('VALIGN',(0,0),(-1,-1),'TOP'),
+    #('FONT', (0,0), (-1,-1), 'Helvetica', 11),
+    ]
 
 class PDFApplicationSlip(grok.Adapter):
@@ -42,6 +48,9 @@
 
     form_fields =  grok.AutoFields(IApplicant).omit(
-        'locked', 'course_admitted')
+        'locked', 'course_admitted', 'suspended',
+        )
     form_fields['date_of_birth'].custom_widget = FriendlyDateDisplayWidget('le')
+    column_two_fields = ('applicant_id', 'reg_number',
+        'firstname', 'middlename', 'lastname')
 
     @property
@@ -122,15 +131,32 @@
         data.append(Spacer(1, 20))
 
-        # append photograph
+        # create two-column header table
+        data_left = []
+        data_right = []
+        # append photograph to the left
         img_path = getattr(
             getUtility(IExtFileStore).getFileByContext(self.context),
             'name', DEFAULT_PASSPORT_IMAGE_PATH)
-        data.append(creator.getImage(img_path))
+        data_left.append([creator.getImage(img_path)])
+        table_left = Table(data_left,style=SLIP_STYLE)
+        # append column-two fields to the right
+        fields = [
+            field for field in self.form_fields
+                if field.__name__ in self.column_two_fields]
+        table_right = creator.getWidgetsTable(
+            fields, self.context, None, lang=portal_language,
+            separators=None, colWidths=[5*cm, 6*cm])
+        header_table = Table([[table_left, table_right],],style=SLIP_STYLE)
+        data.append(header_table)
+
         data.append(Spacer(1, 12))
 
-        # append widgets
+        # append widgets except those already added in column two
         dept, faculty = self._getDeptAndFaculty()
+        fields = [
+            field for field in self.form_fields
+                if not field.__name__ in self.column_two_fields]
         data.append(creator.getWidgetsTable(
-            self.form_fields, self.context, view, lang=portal_language,
+            fields, self.context, view, lang=portal_language,
             domain='waeup.kofa', separators=separators,
             course_label='Admitted Course of Study:',
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/pdf.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/pdf.py	(revision 10309)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/pdf.py	(revision 10310)
@@ -625,5 +625,5 @@
                         domain='waeup.kofa', separators=None,
                         course_label=None, course_link=None, dept=None,
-                        faculty=None):
+                        faculty=None, colWidths=None):
         """Return a reportlab `Table` instance, created from widgets
         determined by `form_fields` and `context`.
@@ -687,5 +687,6 @@
 
         # Create table
-        table = Table(table_data,style=table_style) #, rowHeights=14)
+        table = Table(
+            table_data,style=table_style, colWidths=colWidths) #, rowHeights=14)
         table.hAlign = 'LEFT'
         return table