Index: main/ngren.theme/trunk/ngren/theme/ngren_theme/css/style.css
===================================================================
--- main/ngren.theme/trunk/ngren/theme/ngren_theme/css/style.css	(revision 10315)
+++ main/ngren.theme/trunk/ngren/theme/ngren_theme/css/style.css	(revision 10316)
@@ -1,27 +1,27 @@
 /** BASE **/
 body {
-	padding-top: 20px;
-	padding-bottom: 60px;
-	background-color:#f4f4f4;
-	/* background-image: url(../img/p6.png); */
-	background-position: 0 0;
-	background-repeat: repeat;
+  padding-top: 20px;
+  padding-bottom: 60px;
+  background-color:#f4f4f4;
+  /* background-image: url(../img/p6.png); */
+  background-position: 0 0;
+  background-repeat: repeat;
 }
 
 body, h1, h2, h3, h4, h4, h6 {
-	font-family: 'Open Sans', sans-serif;
+  font-family: 'Open Sans', sans-serif;
 }
 
 h3 {
-	color:#006633;
-	font-size:22.5px;
+  color:#006633;
+  font-size:22.5px;
 }
 
 hr {
-	margin:30px 0;
+  margin:30px 0;
 }
 
 select, textarea, input[type="text"], input[type="password"], input[type="datetime"], input[type="datetime-local"], input[type="date"], input[type="month"], input[type="time"], input[type="week"], input[type="number"], input[type="email"], input[type="url"], input[type="search"], input[type="tel"], input[type="color"], .uneditable-input {
-	height:16px;
+  height:16px;
 }
 
@@ -32,54 +32,54 @@
 /** COMMON **/
 .border-radius {
-	-webkit-border-radius: 5px;
-	-moz-border-radius: 5px;
-	border-radius: 5px;
+  -webkit-border-radius: 5px;
+  -moz-border-radius: 5px;
+  border-radius: 5px;
 }
 
 .center {
-	text-align:center;
+  text-align:center;
 }
 
 .relative {
-	position:relative;
+  position:relative;
 }
 
 /** GRADIENT MODULES **/
 .green-gradient {
-	background-color: #005522;
-	background-image: -moz-linear-gradient(top, #006633, #117744);
-	background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#006633), to(#117744));
-	background-image: -webkit-linear-gradient(top, #006633, #117744);
-	background-image: -o-linear-gradient(top, #006633, #117744);
-	background-image: linear-gradient(to bottom, #006633, #117744);
-	background-repeat: repeat-x;
-	filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff006633', endColorstr='#ff117744', GradientType=0);
+  background-color: #005522;
+  background-image: -moz-linear-gradient(top, #006633, #117744);
+  background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#006633), to(#117744));
+  background-image: -webkit-linear-gradient(top, #006633, #117744);
+  background-image: -o-linear-gradient(top, #006633, #117744);
+  background-image: linear-gradient(to bottom, #006633, #117744);
+  background-repeat: repeat-x;
+  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff006633', endColorstr='#ff117744', GradientType=0);
 }
 
 .gradient-radius-module {
-	background-color: #005522;
-	background-image: -moz-linear-gradient(top, #FFFFFF, #F2F2F2);
-	background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#FFFFFF), to(#F2F2F2));
-	background-image: -webkit-linear-gradient(top, #FFFFFF, #F2F2F2);
-	background-image: -o-linear-gradient(top, #FFFFFF, #F2F2F2);
-	background-image: linear-gradient(to bottom, #FFFFFF, #F2F2F2);
-	background-repeat: repeat-x;
-	filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffFFFFFF', endColorstr='#ffF2F2F2', GradientType=0);
-
-	-moz-border-radius:5px;
-	-webkit-border-radius:5px;
-	border-radius:5px;
-
-	border:1px solid #D4D4D4;
+  background-color: #005522;
+  background-image: -moz-linear-gradient(top, #FFFFFF, #F2F2F2);
+  background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#FFFFFF), to(#F2F2F2));
+  background-image: -webkit-linear-gradient(top, #FFFFFF, #F2F2F2);
+  background-image: -o-linear-gradient(top, #FFFFFF, #F2F2F2);
+  background-image: linear-gradient(to bottom, #FFFFFF, #F2F2F2);
+  background-repeat: repeat-x;
+  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffFFFFFF', endColorstr='#ffF2F2F2', GradientType=0);
+
+  -moz-border-radius:5px;
+  -webkit-border-radius:5px;
+  border-radius:5px;
+
+  border:1px solid #D4D4D4;
 }
 
 .white-background {
-	background:#fff;
-	-webkit-border-bottom-right-radius: 5px;
-	-webkit-border-bottom-left-radius: 5px;
-	-moz-border-radius-bottomright: 5px;
-	-moz-border-radius-bottomleft: 5px;
-	border-bottom-right-radius: 5px;
-	border-bottom-left-radius: 5px;
+  background:#fff;
+  -webkit-border-bottom-right-radius: 5px;
+  -webkit-border-bottom-left-radius: 5px;
+  -moz-border-radius-bottomright: 5px;
+  -moz-border-radius-bottomleft: 5px;
+  border-bottom-right-radius: 5px;
+  border-bottom-left-radius: 5px;
 }
 
@@ -87,25 +87,25 @@
 
 .left-col {
-	width:680px;
-	float:left;
+  width:680px;
+  float:left;
 }
 
 .ie7 .left-col,
 .ie8 .left-col {
-	width: 100%;
+  width: 100%;
 }
 
 .right-col {
-	width:300px;
-	float:right;
+  width:300px;
+  float:right;
 }
 
 .ie7 .right-col,
 .ie8 .right-col {
-	width: 100%;
+  width: 100%;
 }
 
 .ie7 .row-fluid .span6 {
-	width:40%;
+  width:40%;
 }
 
@@ -113,5 +113,5 @@
 
 #header-head {
-	height:140px;
+  height:140px;
 }
 
@@ -123,18 +123,18 @@
 
 #user-options ul {
-	margin:0;
+  margin:0;
 }
 
 #user-options ul li {
-	list-style:none;
-	display:inline;
+  list-style:none;
+  display:inline;
   text-align: left;
 }
 
 #logo-container {
-	height:90px;
-	margin:20px;
-	text-align:center;
-	float:left;
+  height:90px;
+  margin:20px;
+  text-align:center;
+  float:left;
 }
 
@@ -143,109 +143,109 @@
 .ie7 #logo-container,
 .ie7 #logo-container h1 {
-	width:70%;
+  width:70%;
 }
 
 #logo-container #logo {
-	float: left;
-	margin: 5px;
-	margin-top: 0px;
-	width: 150px;
+  float: left;
+  margin: 5px;
+  margin-top: 0px;
+  width: 150px;
 }
 
 #logo-container h1 {
-	float: left;
-	font-size: 27px;
-	position: relative;
-	top: 0px;
-	text-align:left;
-	margin-left:10px;
+  float: left;
+  font-size: 27px;
+  position: relative;
+  top: 0px;
+  text-align:left;
+  margin-left:10px;
 }
 
 #logo-container h1 a {
-	color:#444;
+  color:#444;
 }
 
 #logo-container h1 a:hover {
-	text-decoration:none;
+  text-decoration:none;
 }
 
 /** Navigation **/
 .navbar .navbar-inner {
-	padding: 0;
-	background-color:inherit;
-	box-shadow:none;
+  padding: 0;
+  background-color:inherit;
+  box-shadow:none;
 }
 
 .navbar .nav-container {
-	width:100%;
-	border-top:1px solid #ccc;
+  width:100%;
+  border-top:1px solid #ccc;
 }
 
 .navbar .nav > li > a {
-	border-bottom:3px solid rgba(0,0,0,0);
+  border-bottom:3px solid rgba(0,0,0,0);
 }
 
 .navbar .nav > li > a:hover, .navbar .nav > .active > a, .navbar .nav > .active > a:hover, .navbar .nav > .active > a:focus {
-	border-bottom:3px solid #006633;
-	background-image:none;
-	background-color:inherit;
-	box-shadow:none;
+  border-bottom:3px solid #006633;
+  background-image:none;
+  background-color:inherit;
+  box-shadow:none;
 }
 
 .navbar .nav li a {
-	font-weight: bold;
-	text-align: left;
-	border-left: 1px solid rgba(255,255,255,.75);
-	border-right: 1px solid rgba(0,0,0,.1);
+  font-weight: bold;
+  text-align: left;
+  border-left: 1px solid rgba(255,255,255,.75);
+  border-right: 1px solid rgba(0,0,0,.1);
 }
 
 .navbar-form {
-	bottom: 8px;
-	position: absolute;
-	right: 8px;
+  bottom: 8px;
+  position: absolute;
+  right: 8px;
 }
 
 .navbar-form.mobile {
-	position:relative;
-	float:right;
-	top:5px;
-	right:10px;
+  position:relative;
+  float:right;
+  top:5px;
+  right:10px;
 }
 
 .navbar-form input[type="text"] {
-	width:200px;
+  width:200px;
 }
 
 .navbar .nav > li > .dropdown-menu:after,
 .navbar .nav > li > .dropdown-menu:before {
-	display:none;
+  display:none;
 }
 
 .navbar .btn-navbar {
-	color:#006633;
-	font-weight:bold;
-	text-shadow:0px 1px 0px #ddd;
-	width:97%;
-	margin:10px;
+  color:#006633;
+  font-weight:bold;
+  text-shadow:0px 1px 0px #ddd;
+  width:97%;
+  margin:10px;
 }
 
 .navbar .btn-navbar:hover {
-	color:#005522;
+  color:#005522;
 }
 
 .dropdown-menu {
-	top:41px;
-	-webkit-border-radius: 0px;
-	-moz-border-radius: 0px;
-	border-radius: 0px;
+  top:41px;
+  -webkit-border-radius: 0px;
+  -moz-border-radius: 0px;
+  border-radius: 0px;
 }
 
 .dropdown-menu > li > a:hover, .dropdown-menu > li > a:focus, .dropdown-submenu:hover > a, .dropdown-submenu:focus > a {
-	background-color:#006633;
-	background-image: linear-gradient(to bottom, #117744, #006633);
+  background-color:#006633;
+  background-image: linear-gradient(to bottom, #117744, #006633);
 }
 
 ul.nav li.dropdown:hover > ul.dropdown-menu{
-	display: block;
+  display: block;
 }
 
@@ -255,151 +255,151 @@
 
 .container .navbar .container {
-	width: auto;
+  width: auto;
 }
 
 /** Containers **/
 .container {
-	margin: 0 auto;
-	max-width: 1000px;
+  margin: 0 auto;
+  max-width: 1000px;
 }
 
 .curly-shadow {
-	background:#fff;
-	margin-bottom: 24px;
-	position: relative;
+  background:#fff;
+  margin-bottom: 24px;
+  position: relative;
 }
 
 .curly-shadow-container {
-	background:url("../img/subtle_dots.png") repeat scroll 0 0 transparent;
-	height:310px;
+  background:url("../img/subtle_dots.png") repeat scroll 0 0 transparent;
+  height:310px;
 }
 
 .curly-shadow:after {
-	bottom: 20px;
-	box-shadow: 6px 11px 4px rgba(0,0,0,0.2);
-	content: "";
-	height: 20px;
-	right: 5px;
-	position: absolute;
-	transform: skew(-14deg) rotate(3deg);
-	width: 70%;
-	z-index: -1;
+  bottom: 20px;
+  box-shadow: 6px 11px 4px rgba(0,0,0,0.2);
+  content: "";
+  height: 20px;
+  right: 5px;
+  position: absolute;
+  transform: skew(-14deg) rotate(3deg);
+  width: 70%;
+  z-index: -1;
 }
 
 .curly-shadow:before {
-	bottom: 20px;
-	box-shadow: 6px 11px 4px rgba(0,0,0,0.2);
-	content: "";
-	height: 20px;
-	left: 5px;
-	position: absolute;
-	transform: skew(-14deg) rotate(-3deg);
-	width: 70%;
-	z-index: -1;
+  bottom: 20px;
+  box-shadow: 6px 11px 4px rgba(0,0,0,0.2);
+  content: "";
+  height: 20px;
+  left: 5px;
+  position: absolute;
+  transform: skew(-14deg) rotate(-3deg);
+  width: 70%;
+  z-index: -1;
 }
 
 /** Content Container **/
 .content-container {
-	padding:20px 40px;
-	margin-bottom:20px;
-	min-height:566px;
-	position:relative;
+  padding:20px 40px;
+  margin-bottom:20px;
+  min-height:566px;
+  position:relative;
 }
 
 .post-social {
-	float:right;
-	margin:20px 0;
+  float:right;
+  margin:20px 0;
 }
 
 .post-social div {
-	display:inline;
+  display:inline;
 }
 
 .post-social .twitter {
-	margin:5px 0;
+  margin:5px 0;
 }
 
 .post-social .facebook {
-	margin:0px;
+  margin:0px;
 }
 
 .list-left,
 .list-right {
-	list-style:none;
+  list-style:none;
 }
 
 .list-left li,
 .list-right li {
-	margin:10px;
+  margin:10px;
 }
 
 .list-left {
-	float:left;
+  float:left;
 }
 
 .list-right {
-	float:right;
+  float:right;
 }
 
 /** Footer **/
 .footer {
-	border-top: 1px solid #D4D4D4;
-	float: left;
-	margin-top: 10px;
-	padding: 10px 0;
-	width: 100%;
+  border-top: 1px solid #D4D4D4;
+  float: left;
+  margin-top: 10px;
+  padding: 10px 0;
+  width: 100%;
 }
 
 .footer .section {
-	padding:0 20px;
-	float:right;
+  padding:0 20px;
+  float:right;
 }
 
 .footer .section ul {
-	margin:0;
+  margin:0;
 }
 
 .footer .section li.title {
-	font-weight:bold;
+  font-weight:bold;
 }
 
 .footer .section li {
-	margin:5px 0;
-	list-style:none;
+  margin:5px 0;
+  list-style:none;
 }
 
 .footer .fb-footer {
-	padding:0;
+  padding:0;
 }
 
 .footer .tw-footer {
-	padding:0;
+  padding:0;
 }
 
 .footer .copyright {
-	margin:5px 0px;
-	color:#999;
-	float:left;
+  margin:5px 0px;
+  color:#999;
+  float:left;
 }
 
 .footer .address {
-	color: #999999;
-	float: right;
-	margin: 5px;
-	padding:0 20px;
+  color: #999999;
+  float: right;
+  margin: 5px;
+  padding:0 20px;
 }
 
 .footer .address ul {
-	margin:0;
+  margin:0;
 }
 
 .footer .address li {
-	list-style:none;
+  list-style:none;
 }
 
 /** forms  **/
 #content fieldset {
-	border: 0.1em solid;
-	border-color: -moz-use-text-color -moz-use-text-color #E5E5E5;
+  border: 0.1em solid;
+  border-color: -moz-use-text-color -moz-use-text-color #E5E5E5;
         border-color: #E5E5E5;
 }
@@ -411,5 +411,5 @@
         margin: 1px;
         passing: 0.0em 0.5em;
-	padding: 0.5em;
+  padding: 0.5em;
 }
 
@@ -425,7 +425,7 @@
 /** TEXT / TITLES / MESSAGES **/
 h4.title {
-	color:#006633;
-	border-bottom:3px solid #006633;
-	padding-bottom:5px;
+  color:#006633;
+  border-bottom:3px solid #006633;
+  padding-bottom:5px;
 }
 
@@ -434,48 +434,48 @@
 /** Home option **/
 .home-option {
-	padding:20px 40px;
-	margin-bottom:20px;
+  padding:20px 40px;
+  margin-bottom:20px;
 }
 
 .home-option h3 {
-	color:#006633;
-	font-weight:bold;
-	font-size:16px;
-	line-height:20px;
+  color:#006633;
+  font-weight:bold;
+  font-size:16px;
+  line-height:20px;
 }
 
 .home-option h3 a {
-	color:#006633;
+  color:#006633;
 }
 
 .home-option .text {
-	height:40px;
+  height:40px;
 }
 
 .home-icon {
-	margin:5px;
-	width:78px;
+  margin:5px;
+  width:78px;
 }
 
 /** Streaming **/
 .streaming {
-	padding:20px 40px;
-	margin-bottom:20px;
-	height:230px;
-	overflow:hidden;
+  padding:20px 40px;
+  margin-bottom:20px;
+  height:230px;
+  overflow:hidden;
 }
 
 .streaming li {
-	list-style:none;
-	height:110px;
+  list-style:none;
+  height:110px;
 }
 
 .streaming h4 a {
-	color:#444;
+  color:#444;
 }
 
 #streaming-news {
-	height:220px;
-	overflow:hidden;
+  height:220px;
+  overflow:hidden;
 }
 
@@ -591,112 +591,112 @@
 
 .slider {
-	height: 310px;
-	position: relative;
-	z-index: 1;
+  height: 310px;
+  position: relative;
+  z-index: 1;
 }
 
 .slider-container {
-	position:relative;
-	height:310px;
-	margin:0px auto;
-	display:block;
+  position:relative;
+  height:310px;
+  margin:0px auto;
+  display:block;
 }
 
 .slider-container .slider-image-container {
-	float:right;
-	width:49%;
-	margin:30px 0;
+  float:right;
+  width:49%;
+  margin:30px 0;
 }
 
 .slider-container .slider-image {
-	border-bottom: 3px solid #006633;
-	border-top: 3px solid #006633;
-	height: 240px;
+  border-bottom: 3px solid #006633;
+  border-top: 3px solid #006633;
+  height: 240px;
 }
 
 .slider-container .slider-text {
-	display: block;
-	margin:40px 0;
-	text-align: center;
-	float:left;
-	width:43%;
+  display: block;
+  margin:40px 0;
+  text-align: center;
+  float:left;
+  width:43%;
 }
 
 .slider-container .slider-text .highlight {
-	font-weight:bold;
-	color:#006633;
-	text-shadow:none;
+  font-weight:bold;
+  color:#006633;
+  text-shadow:none;
 }
 
 .slider-container .slider-text h3 {
-	font-weight: bold;
+  font-weight: bold;
 }
 
 .slider-container .slider-text h3 a {
-	color:#006633;
+  color:#006633;
 }
 
 .slider-container .slider-text p {
-	font-size: 16px;
+  font-size: 16px;
 }
 
 .centered-btns_nav {
-	-webkit-border-top-right-radius: 5px;
-	-webkit-border-bottom-right-radius: 5px;
-	-moz-border-radius-topright: 5px;
-	-moz-border-radius-bottomright: 5px;
-	border-top-right-radius: 5px;
-	border-bottom-right-radius: 5px;
+  -webkit-border-top-right-radius: 5px;
+  -webkit-border-bottom-right-radius: 5px;
+  -moz-border-radius-topright: 5px;
+  -moz-border-radius-bottomright: 5px;
+  border-top-right-radius: 5px;
+  border-bottom-right-radius: 5px;
 }
 
 .centered-btns_nav.next {
-	-webkit-border-top-left-radius: 5px;
-	-webkit-border-bottom-left-radius: 5px;
-	-moz-border-radius-topleft: 5px;
-	-moz-border-radius-bottomleft: 5px;
-	border-top-left-radius: 5px;
-	border-bottom-left-radius: 5px;
-
-	-webkit-border-top-right-radius: 0px;
-	-webkit-border-bottom-right-radius: 0px;
-	-moz-border-radius-topright: 0px;
-	-moz-border-radius-bottomright: 0px;
-	border-top-right-radius: 0px;
-	border-bottom-right-radius: 0px;
+  -webkit-border-top-left-radius: 5px;
+  -webkit-border-bottom-left-radius: 5px;
+  -moz-border-radius-topleft: 5px;
+  -moz-border-radius-bottomleft: 5px;
+  border-top-left-radius: 5px;
+  border-bottom-left-radius: 5px;
+
+  -webkit-border-top-right-radius: 0px;
+  -webkit-border-bottom-right-radius: 0px;
+  -moz-border-radius-topright: 0px;
+  -moz-border-radius-bottomright: 0px;
+  border-top-right-radius: 0px;
+  border-bottom-right-radius: 0px;
 }
 
 /** Partners **/
 .full-col {
-	float:left;
-	width:100%;
+  float:left;
+  width:100%;
 }
 
 #partners-tile {
-	height:120px;
-	margin-bottom:30px;
-	padding:0px 50px;
+  height:120px;
+  margin-bottom:30px;
+  padding:0px 50px;
 }
 
 #partners-tile li {
-	display: block;
-	float: left;
-	list-style: none;
-	text-align:center;
+  display: block;
+  float: left;
+  list-style: none;
+  text-align:center;
 }
 
 #partners-tile li span.title {
-	display:none;
+  display:none;
 }
 
 #partners-tile li {
-	margin-right:6%;
+  margin-right:6%;
 }
 
 #partners-tile li#fme {
-	margin-left:4%;
+  margin-left:4%;
 }
 
 #partners-tile li#nuc {
-	margin-right:0;
+  margin-right:0;
 }
 
@@ -711,66 +711,66 @@
 /** Images **/
 .content-container img {
-	margin:5px;
-	border:2px solid #e0e0e0;
+  margin:5px;
+  border:2px solid #e0e0e0;
 }
 
 .content-container img.left-image {
-	float:left;
-	margin-left:0px;
-	margin-right:10px;
+  float:left;
+  margin-left:0px;
+  margin-right:10px;
 }
 
 img.about-unique-image {
-	float:none;
-	display:block;
-	margin:20px auto;
+  float:none;
+  display:block;
+  margin:20px auto;
 }
 
 /** Gallery **/
 .gallery {
-	margin:0;
+  margin:0;
 }
 
 .gallery li {
-	list-style:none;
-	display:inline;
-	cursor:pointer;
+  list-style:none;
+  display:inline;
+  cursor:pointer;
 }
 
 .gallery img:hover {
-	border:2px solid #006633;
+  border:2px solid #006633;
 }
 
 .gallery li .gallery-object {
-	position:relative;
-	display:block;
-	float:left;
+  position:relative;
+  display:block;
+  float:left;
 }
 
 .gallery img {
-	width:180px;
+  width:180px;
 }
 
 .gallery .title {
-	background: none repeat scroll 0 0 rgba(0, 0, 0, 0.6);
-	bottom: 7px;
-	color: #FFFFFF;
-	font-size: 16px;
-	height: 20px;
-	left: 7px;
-	padding: 5px 0;
-	position: absolute;
-	text-align: center;
-	width: 180px;
+  background: none repeat scroll 0 0 rgba(0, 0, 0, 0.6);
+  bottom: 7px;
+  color: #FFFFFF;
+  font-size: 16px;
+  height: 20px;
+  left: 7px;
+  padding: 5px 0;
+  position: absolute;
+  text-align: center;
+  width: 180px;
 }
 
 /** Buttons **/
 .btn-primary {
-	color: #fff;
-	border: solid 1px #117744;
-	background: #666600;
-	background: -webkit-gradient(linear, left top, left bottom, from(#006633), to(#117744));
-	background: -moz-linear-gradient(top,  #006633,  #117744);
-	filter:  progid:DXImageTransform.Microsoft.gradient(startColorstr='#006633', endColorstr='#117744');
+  color: #fff;
+  border: solid 1px #117744;
+  background: #666600;
+  background: -webkit-gradient(linear, left top, left bottom, from(#006633), to(#117744));
+  background: -moz-linear-gradient(top,  #006633,  #117744);
+  filter:  progid:DXImageTransform.Microsoft.gradient(startColorstr='#006633', endColorstr='#117744');
 }
 
@@ -782,21 +782,21 @@
 
 @media (max-width: 1200px) {
-	.left-col, .right-col {
-		width:100%;
-	}
-
-	.content-container {
-		min-height:inherit;
-	}
-
-	.footer .copyright {
-		float:none;
-	}
+  .left-col, .right-col {
+    width:100%;
+  }
+
+  .content-container {
+    min-height:inherit;
+  }
+
+  .footer .copyright {
+    float:none;
+  }
 }
 
 @media (max-width: 981px) {
-	.slider-container .slider-image {
-		top:0px;
-	}
+  .slider-container .slider-image {
+    top:0px;
+  }
 
   .navbar-form {
@@ -805,123 +805,124 @@
   }
 
-	#partners-tile {
-		height:140px;
-	}
-
-	#partners-tile li {
-		margin-right:1%;
-	}
-
-	#partners-tile li#fme {
-		margin-left:1%;
-	}
-
-	#partners-tile li img {
-		width:83%;
-	}
+  #partners-tile {
+    height:140px;
+  }
+
+  #partners-tile li {
+    margin-right:1%;
+  }
+
+  #partners-tile li#fme {
+    margin-left:1%;
+  }
+
+  #partners-tile li img {
+    width:83%;
+  }
 }
 
 @media (max-width: 767px) {
 
-	/** Base **/
-	body {
-		padding-top:20px;
-	}
-
-	/** Header **/
-	.navbar .navbar-inner {
-		padding-bottom:5px;
-	}
-
-	.navbar .btn-navbar {
-		clear:right;
-		float:left;
-		margin-bottom:0px;
-	}
-
-	.nav-collapse, .nav-collapse.collapse {
-		top:7px;
-	}
-
-	/** Modules **/
-	.slider-container .slider-text p {
-		font-size:14px;
-		max-height:145px;
-	}
-
-	.slider-container .slider-text .relative {
-		padding:20px 10px;
-	}
-
-	.home-option {
-		margin-bottom:30px;
-	}
-
-	.home-option .text {
-		height:inherit;
-	}
-
-	#partners-tile {
-		height:inherit;
-	}
-
-	#partners-tile ul {
-	margin:0;
-	}
-
-	#partners-tile li {
-		width:100% !important;
-	}
-
-	#partners-tile li img {
-		width:inherit;
-	}
-
-	/** Footer **/
-	.footer .copyright {
-		display:block;
-		float:none;
-	}
-
-	.footer .section {
-		margin:20px 0;
-		float:none;
-		padding:0;
-	}
-
-	.footer .section li {
-		margin:10px 0;
-	}
-
-	.footer .address {
-		float: none;
-		margin: 5px 0;
-		padding:0;
-	}
+  /** Base **/
+  body {
+    padding-top:20px;
+  }
+
+  /** Header **/
+  .navbar .navbar-inner {
+    padding-bottom:5px;
+  }
+
+  .navbar .btn-navbar {
+    clear:right;
+    float:left;
+    margin-bottom:0px;
+  }
+
+  .nav-collapse, .nav-collapse.collapse {
+    top:7px;
+  }
+
+  /** Modules **/
+  .slider-container .slider-text p {
+    font-size:14px;
+    max-height:145px;
+  }
+
+  .slider-container .slider-text .relative {
+    padding:20px 10px;
+  }
+
+  .home-option {
+    margin-bottom:30px;
+  }
+
+  .home-option .text {
+    height:inherit;
+  }
+
+  #partners-tile {
+    height:inherit;
+  }
+
+  #partners-tile ul {
+  margin:0;
+  }
+
+  #partners-tile li {
+    width:100% !important;
+  }
+
+  #partners-tile li img {
+    width:inherit;
+  }
+
+  /** Footer **/
+  .footer .copyright {
+    display:block;
+    float:none;
+  }
+
+  .footer .section {
+    margin:20px 0;
+    float:none;
+    padding:0;
+  }
+
+  .footer .section li {
+    margin:10px 0;
+  }
+
+  .footer .address {
+    float: none;
+    margin: 5px 0;
+    padding:0;
+  }
 }
 
 @media (max-width: 594px) {
 
-	/** Header **/
+  /** Header **/
 
 
   #logo-container {
-		margin:10px;
+    margin:10px;
     text-align:none;
     float:none;
     position:relative;
-	}
+  }
 
   #header-head {
-      height: 50px;
-  }
-
-	#user-options {
+    height: 50px;
+  }
+
+  #user-options {
     position:absolute;
-    top:10px; right:10px;
-	}
-
-	#logo-container #logo{
-		float:none;
+    top:10px;
+    right:10px;
+  }
+
+  #logo-container #logo{
+    float:none;
     display: block;
     margin-left: auto;
@@ -930,68 +931,68 @@
     margin-bottom: -15px;
 
-	}
-
-	#logo-container h1 {
+  }
+
+  #logo-container h1 {
     visibility:hidden;
     height: 0px;
-	}
+  }
 }
 
 @media (max-width: 512px) {
 
-	/** Base **/
-	h1 {
-		font-size:26px;
-		text-align:center;
-	}
-
-	/** Navigation **/
-	.navbar-form {
-		margin:0px;
-		position:relative;
-		left:-10px;
-	}
-
-	.navbar-form input[type="text"] {
-		width:68%;
-		float:left;
-		margin-right:3px;
-	}
-
-	/** Containers **/
-	.content-container {
-		padding:20px;
-	}
-
-	/** Modules **/
-	.centered-btns_nav {
-		opacity:0.1 !important;
-	}
-
-	.gallery li .gallery-object {
-		float:none;
-		margin: 0 auto;
-		width:200px;
-	}
-
-	.slider-container .slider-text {
-		width:90%;
-		margin:20px auto;
-		float:none;
-	}
-
-	.slider-container .slider-image {
-		display:none;
-	}
-
-	/** Buttons **/
-	.search-btn {
-		float:right;
-	}
-
-	.navbar .btn-navbar {
-		margin:10px 0 0px 5px;
-		width:96%;
-	}
+  /** Base **/
+  h1 {
+    font-size:26px;
+    text-align:center;
+  }
+
+  /** Navigation **/
+  .navbar-form {
+    margin:0px;
+    position:relative;
+    left:-10px;
+  }
+
+  .navbar-form input[type="text"] {
+    width:68%;
+    float:left;
+    margin-right:3px;
+  }
+
+  /** Containers **/
+  .content-container {
+    padding:20px;
+  }
+
+  /** Modules **/
+  .centered-btns_nav {
+    opacity:0.1 !important;
+  }
+
+  .gallery li .gallery-object {
+    float:none;
+    margin: 0 auto;
+    width:200px;
+  }
+
+  .slider-container .slider-text {
+    width:90%;
+    margin:20px auto;
+    float:none;
+  }
+
+  .slider-container .slider-image {
+    display:none;
+  }
+
+  /** Buttons **/
+  .search-btn {
+    float:right;
+  }
+
+  .navbar .btn-navbar {
+    margin:10px 0 0px 5px;
+    width:96%;
+  }
 
 }
@@ -999,14 +1000,14 @@
 @media (max-width: 320px) {
 
-	/** Modules **/
-	#fb-container {
-		width:260px;
-		overflow:hidden;
-	}
-
-	.fb-like-box {
-		width:260px;
-		overflow:hidden;
-	}
-
-}
+  /** Modules **/
+  #fb-container {
+    width:260px;
+    overflow:hidden;
+  }
+
+  .fb-like-box {
+    width:260px;
+    overflow:hidden;
+  }
+
+}