Index: main/waeup.imostate/src/waeup/imostate/browser/static/custom_theme.css
===================================================================
--- main/waeup.imostate/src/waeup/imostate/browser/static/custom_theme.css	(revision 10344)
+++ main/waeup.imostate/src/waeup/imostate/browser/static/custom_theme.css	(revision 10345)
@@ -1,25 +1,25 @@
 .topbar-inner, .topbar .fill {
-  background-color: #8A0474;
-  background-image: -moz-linear-gradient(center top , #4e0242, #8A0474);
-  background-image: -khtml-gradient(linear, left top, left bottom, from(#4e0242), to(#8A0474));
-  background-image: -moz-linear-gradient(top, #4e0242, #8A0474);
-  background-image: -ms-linear-gradient(top, #4e0242, #8A0474);
-  background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #4e0242), color-stop(100%, #8A0474));
-  background-image: -webkit-linear-gradient(top, #4e0242, #8A0474);
-  background-image: -o-linear-gradient(top, #4e0242, #8A0474);
-  background-image: linear-gradient(top, #4e0242, #8A0474);
-  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#4e0242', endColorstr='#8A0474', GradientType=0);
+  background-color: #398240;
+  background-image: -moz-linear-gradient(center top , #215026, #398240);
+  background-image: -khtml-gradient(linear, left top, left bottom, from(#215026), to(#398240));
+  background-image: -moz-linear-gradient(top, #215026, #398240);
+  background-image: -ms-linear-gradient(top, #215026, #398240);
+  background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #215026), color-stop(100%, #398240));
+  background-image: -webkit-linear-gradient(top, #215026, #398240);
+  background-image: -o-linear-gradient(top, #215026, #398240);
+  background-image: linear-gradient(top, #215026, #398240);
+  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#215026', endColorstr='#398240', GradientType=0);
 }
 
 .topbar div > ul .active > a, .nav .active > a {
-  background-color: #8A0474;
+  background-color: #398240;
 }
 
 .topbar h3 a:hover, .topbar .brand:hover, .topbar ul .active > a {
-  background-color: #8A0474;
+  background-color: #398240;
 }
 
 .topbar div > ul a:hover, .nav a:hover {
-  background-color: #8A0474;
+  background-color: #398240;
 }
 
@@ -29,5 +29,5 @@
 .topbar div > ul .dropdown-menu,
 .nav .dropdown-menu {
-  background-color: #8A0474;
+  background-color: #398240;
 }
 
@@ -40,5 +40,5 @@
 .topbar div > ul .dropdown.open .dropdown-toggle,
 .nav .dropdown.open .dropdown-toggle {
-  background: #8A0474;
+  background: #398240;
 }
 
@@ -51,22 +51,22 @@
 .topbar div > ul .dropdown-menu li a:hover,
 .nav .dropdown-menu li a:hover {
-  background-color: #4e0242;
+  background-color: #215026;
   background-repeat: repeat-x;
-  background-image: -khtml-gradient(linear, left top, left bottom, from(#8A0474), to(#191919));
-  background-image: -moz-linear-gradient(top, #4e0242, #4e0242);
-  background-image: -ms-linear-gradient(top, #4e0242, #4e0242);
-  background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #4e0242), color-stop(100%, #4e0242));
-  background-image: -webkit-linear-gradient(top, #4e0242, #4e0242);
-  background-image: -o-linear-gradient(top, #4e0242, #4e0242);
-  background-image: linear-gradient(top, #4e0242, #4e0242);
-  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#4e0242', endColorstr='#4e0242', GradientType=0);
+  background-image: -khtml-gradient(linear, left top, left bottom, from(#398240), to(#191919));
+  background-image: -moz-linear-gradient(top, #215026, #215026);
+  background-image: -ms-linear-gradient(top, #215026, #215026);
+  background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #215026), color-stop(100%, #215026));
+  background-image: -webkit-linear-gradient(top, #215026, #215026);
+  background-image: -o-linear-gradient(top, #215026, #215026);
+  background-image: linear-gradient(top, #215026, #215026);
+  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#215026', endColorstr='#215026', GradientType=0);
   color: #ffffff;
 }
 
 a {
-  color: #8A0474;
+  color: #398240;
 }
 
 a:hover {
-  color: #4e0242;
+  color: #215026;
 }