Index: main/ngren.theme/trunk/ngren/theme/ngren_theme/home.html
===================================================================
--- main/ngren.theme/trunk/ngren/theme/ngren_theme/home.html	(revision 10360)
+++ main/ngren.theme/trunk/ngren/theme/ngren_theme/home.html	(revision 10361)
@@ -6,304 +6,304 @@
 <!--<![endif]-->
 <head>
-	<meta charset="utf-8">
-	<title>NgREN - Nigerian Research and Education Network</title>
+  <meta charset="utf-8">
+  <title>NgREN - Nigerian Research and Education Network</title>
         <base href="/" />
-	<meta name="viewport" content="width=device-width, initial-scale=1.0">
-	<meta name="description" content="NgREN's vision is to be a world-class research and education network in Africa, fulfilling stakeholder needs for communication and collaboration as a cornerstone for Nigeria’s economic and social transformation.">
-	<meta name="author" content="NgREN">
-
-	<!-- Le styles -->
-	<link href="css/bootstrap.min.css" rel="stylesheet">
-	<link href="css/bootstrap-responsive.min.css" rel="stylesheet">
-	<link href="css/style.css" rel="stylesheet">
-
-	<link href='http://fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
-
-	<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
-	<script src="js/responsiveslides.min.js"></script>
-	<script src="js/jquery.vticker-min.js"></script>
-	<script src="js/bootstrap.js"></script>
-	<script src="js/functions.js"></script>
-
-	<!-- HTML5 shim, for IE6-8 support of HTML5 elements and CSS3 Media Queries -->
-	<!--[if lt IE 9]>
-	<script src="js/html5shiv.js"></script>
-	<script src="js/css3-mediaqueries.js"></script>
-	<![endif]-->
-
-	<!-- Fav and touch icons -->
-	<link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
+  <meta name="viewport" content="width=device-width, initial-scale=1.0">
+  <meta name="description" content="NgREN's vision is to be a world-class research and education network in Africa, fulfilling stakeholder needs for communication and collaboration as a cornerstone for Nigeria’s economic and social transformation.">
+  <meta name="author" content="NgREN">
+
+  <!-- Le styles -->
+  <link href="css/bootstrap.min.css" rel="stylesheet">
+  <link href="css/bootstrap-responsive.min.css" rel="stylesheet">
+  <link href="css/style.css" rel="stylesheet">
+
+  <link href='http://fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
+
+  <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
+  <script src="js/responsiveslides.min.js"></script>
+  <script src="js/jquery.vticker-min.js"></script>
+  <script src="js/bootstrap.js"></script>
+  <script src="js/functions.js"></script>
+
+  <!-- HTML5 shim, for IE6-8 support of HTML5 elements and CSS3 Media Queries -->
+  <!--[if lt IE 9]>
+  <script src="js/html5shiv.js"></script>
+  <script src="js/css3-mediaqueries.js"></script>
+  <![endif]-->
+
+  <!-- Fav and touch icons -->
+  <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
 </head>
 
 <body>
 
-	<!-- Facebook -->
-	<div id="fb-root"></div>
-	<script>(function(d, s, id) {
-	var js, fjs = d.getElementsByTagName(s)[0];
-	if (d.getElementById(id)) return;
-	js = d.createElement(s); js.id = id;
-	js.src = "//connect.facebook.net/es_LA/all.js#xfbml=1&appId=106017272902221";
-	fjs.parentNode.insertBefore(js, fjs);
-	}(document, 'script', 'facebook-jssdk'));</script>
-
-	<div class="container">
-
-	<div class="masthead">
-		<div class="navbar">
-		<div class="navbar-inner">
-			<div class="container relative">
-				<div id="header-head">
-					<div id="logo-container">
-						<a href="home.html">
-							<img id="logo" src="img/ngren_logo.png" alt="NgREN logo" />
-						</a>
-						<h1><a href="home.html">Nigerian Research and<br/>Education Network</a></h1>
-					</div>
-                                        <div class="btn-group pull-right btn-small"
-                                             id="user-options">
-                                          <a class="btn btn-small btn-primary"
-                                             href="#">
-                                            <i class="icon-user icon-white"></i>
-                                            <span id="user-options-name">
-                                              Username
-                                            </span>
-                                          </a>
-                                          <a class="btn btn-small btn-primary                                                       dropdown-toggle"
-                                             data-toggle="dropdown"
-                                             href="#">
-                                            <span class="caret"></span>
-                                          </a>
-                                          <ul class="dropdown-menu btn-small">
-                                            <li><a href="#">Dashboard</a></li>
-                                            <li><a href="#">Logout</a></li>
-                                          </ul>
-                                        </div><!-- user-options -->
-					<form class="navbar-form pull-right">
-						<input type="text" />
-						<button class="btn btn-primary btn-small search-btn" type="submit">Search</button>
-					</form>
-				</div>
-				<button type="button" class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
-					<span>Menu <b class="caret"></b></span>
-				</button>
-				<div id="menu-collapse" class="nav-collapse collapse">
-					<div class="nav-container">
-						<ul class="nav">
-							<li class="active"><a href="home.html">Home</a></li>
-							<li class="dropdown">
-								<a href="about-us.html" data-toggle="dropdown" class="dropdown-toggle disabled">About us <b class="caret"></b></a>
-								<ul class="dropdown-menu">
-									<li ><a href="example.html">Board</a></li>
-									<li ><a href="example.html">Plans</a></li>
-									<li ><a href="example.html">Policies</a></li>
-									<li ><a href="example.html">Topology</a></li>
-									<li ><a href="example.html">News and events</a></li>
-								</ul>
-							</li>
-							<li class="dropdown">
-								<a href="services.html" data-toggle="dropdown" class="dropdown-toggle disabled">Services <b class="caret"></b></a>
-								<ul class="dropdown-menu">
-									<li ><a href="example.html">Unified communications</a></li>
-									<li ><a href="example.html">Video conferencing</a></li>
-									<li ><a href="example.html">Domain name services</a></li>
-									<li ><a href="example.html">Caching services</a></li>
-									<li ><a href="example.html">Digital content</a></li>
-									<li ><a href="example.html">Network Security (CERT)</a></li>
-									<li ><a href="example.html">Email and messaging</a></li>
-									<li ><a href="example.html">Colocation</a></li>
-									<li ><a href="example.html">Bandwidth supply and management</a></li>
-									<li ><a href="example.html">Backbone transmission</a></li>
-								</ul>
-							</li>
-							<li><a href="example.html">FAQ</a></li>
-						</ul>
-					</div>
-				</div>
-			</div>
-		</div>
-		</div><!-- /.navbar -->
-	</div>
-
-	<!-- Slider -->
-	<div class="rslides_container curly-shadow border-radius slider gradient-radius-module">
-	<div class="curly-shadow-container border-radius">
-	<ul class="rslides slider-container border-radius" id="slider1">
-		<li>
-			<div class="slider-text">
-				<h3><a href="example.html">Welcome to NgREN</a></h3>
-				<p>The NgREN is committed to harmonizing knowledge within the tertiary sector to <span class="highlight">drive productive research, collaboration and knowledge</span> dissemination for the development of Nigeria and Mankind.</p>
-				<a href="example.html">Read more &raquo;</a>
-			</div>
-			<div class="slider-image-container border-radius">
-				<img class="slider-image border-radius" src="img/slider/nigerian-men2.jpg" alt="nigerian woman 1" />
-			</div>
-		</li>
-		<li>
-			<div class="slider-text">
-				<h3><a href="example.html">NgREN and Other RENs</a></h3>
-				<p>The NgREN is committed to harmonizing knowledge within the tertiary sector to drive productive research, collaboration and knowledge dissemination for the development of Nigeria and Mankind.</p>
-				<a href="example.html">Read more &raquo;</a>
-			</div>
-			<div class="slider-image-container border-radius">
-				<img class="slider-image border-radius" src="img/slider/nigerian-women.jpg" alt="nigerian woman 2" />
-			</div>
-		</li>
-		<li>
-			<div class="slider-text">
-				<h3><a href="example.html">Medical Research</a></h3>
-				<p>The NgREN is committed to harmonizing knowledge within the tertiary sector to drive productive research, collaboration and knowledge dissemination for the development of Nigeria and Mankind.</p>
-				<a href="example.html">Read more &raquo;</a>
-			</div>
-			<div class="slider-image-container border-radius">
-				<img class="slider-image border-radius" src="img/slider/health.jpg" alt="nigerian woman 3" />
-			</div>
-		</li>
-		<li>
-			<div class="slider-text">
-				<h3><a href="example.html">Mobility Services</a></h3>
-				<p>The NgREN is committed to harmonizing knowledge within the tertiary sector to drive productive research, collaboration and knowledge dissemination for the development of Nigeria and Mankind.</p>
-				<a href="example.html">Read more &raquo;</a>
-			</div>
-			<div class="slider-image-container border-radius">
-				<img class="slider-image border-radius" src="img/slider/nigerian-men.jpg" alt="nigerian woman 4" />
-			</div>
-		</li>
-	</ul>
-	</div>
-	</div>
-
-	<div class="left-col">
-		<h4 class="title">&raquo; Featured</h4>
-		<div class="row-fluid">
-			<div class="span6 center home-option gradient-radius-module">
-				<a href="example.html"><img class="home-icon" src="img/mobile-icon.png" alt="icon heart" /></a>
-				<h3><a href="example.html">NgREN Infrastructure<br/>and Facilities</a></h3>
-				<p class="text">Read more about the UNICC project.</p>
-				<p><a href="example.html">View details &raquo;</a></p>
-			</div>
-			<div class="span6 center home-option gradient-radius-module">
-				<a href="example.html"><img class="home-icon" src="img/network-icon.png" alt="icon network" /></a>
-				<h3><a href="example.html">NgREN<br/>and Other RENs</a></h3>
-				<p class="text">Read more about NgREN Linkage Plans and Activities.</p>
-				<p><a href="example.html">View details &raquo;</a></p>
-			</div>
-		</div>
-	</div>
-
-	<div class="right-col">
-		<h4 class="title">&raquo; Latest news</h4>
-		<div class="streaming white-background">
-			<div id="streaming-news">
-			<ul>
-				<li>
-					<h4><a href="example.html">Plans and Activities</a></h4>
-					<p class="text">NgREN Linkage Plans and Activities.</p>
-					<p><a href="example.html">Read more</a></p>
-				</li>
-				<li>
-					<h4><a href="example.html">Plans and Activities 2</a></h4>
-					<p class="text">NgREN Linkage Plans and Activities.</p>
-					<p><a href="example.html">Read more</a></p>
-				</li>
-				<li>
-					<h4><a href="example.html">Plans and Activities 3</a></h4>
-					<p class="text">NgREN Linkage Plans and Activities.</p>
-					<p><a href="example.html">Read more</a></p>
-				</li>
-				<li>
-					<h4><a href="example.html">Plans and Activities 4</a></h4>
-					<p class="text">NgREN Linkage Plans and Activities.</p>
-					<p><a href="example.html">Read more</a></p>
-				</li>
-				<li>
-					<h4><a href="example.html">Plans and Activities 5</a></h4>
-					<p class="text">NgREN Linkage Plans and Activities.</p>
-					<p><a href="example.html">Read more</a></p>
-				</li>
-			</ul>
-			</div>
-		</div>
-	</div>
-
-	<div class="full-col">
-		<h4 class="title">&raquo; Partners</h4>
-		<div id="partners-tile" class="gradient-radius-module">
-			<ul>
-				<li id="fme">
-					<a target="_blank" href="http://www.fmegovng.org">
-						<img src="img/logos/fme.png" alt="Federal Ministry of Education" />
-						<span class="title">Federal Ministry of Education</span>
-					</a>
-				</li>
-				<li id="uspf">
-					<a target="_blank" href="http://www.uspf.gov.ng">
-						<img src="img/logos/uspf.png" alt="Universal Service Provision Fund" />
-						<span class="title">Universal Service Provision Fund</span>
-					</a>
-				</li>
-				<li id="tetfund">
-					<a target="_blank" href="http://www.tetfund.gov.ng">
-						<img src="img/logos/tetfund.png" alt="Tetfund" />
-						<span class="title">Tetfund</span>
-					</a>
-				</li>
-				<li id="ncc">
-					<a target="_blank" href="http://www.ncc.gov.ng">
-						<img src="img/logos/ncc.png" alt="Nigerian Communications Commission" />
-						<span class="title">Nigerian Communications Commission</span>
-					</a>
-				</li>
-				<li id="nuc">
-					<a target="_blank" href="http://www.nuc.edu.ng/">
-						<img src="img/logos/nuc.png" alt="Nigerian Communications Commission" />
-						<span class="title">National Universities Commission</span>
-					</a>
-				</li>
-			</ul>
-			<div class="clear">&nbsp;</div>
-		</div>
-	</div>
-
-	<hr>
-
-	<div class="footer">
-		<div class="copyright">
-			<span>&copy; Nigerian Research and Education Network</span>
-			<script type="text/javascript">
-			renderCurrentYear();
-			</script>
-		</div>
-		<div class="address">
-			<ul>
-				<li>NgREN</li>
-				<li>National University Commission</li>
-				<li>Aja Nwachukwu House</li>
-				<li>Aguiyi Ironsi Street</li>
-				<li>Maitama District</li>
-				<li>Abuja, Nigeria</li>
-			</ul>
-		</div>
-
-		<div class="section">
-			<ul>
-				<li class="title">&raquo; NgREN</li>
-				<li><a href="example.html">Contact</a></li>
-				<li><a href="example.html">Sitemap</a></li>
-			</ul>
-		</div>
-	</div>
-
-	</div> <!-- /container -->
-
-	<!-- Le javascript
-	================================================== -->
-	<!-- Placed at the end of the document so the pages load faster -->
-
-	<script type="text/javascript">
-	$(document).ready(function() {
-		initHomeFunctions();
-	});
-	</script>
+  <!-- Facebook -->
+  <div id="fb-root"></div>
+  <script>(function(d, s, id) {
+  var js, fjs = d.getElementsByTagName(s)[0];
+  if (d.getElementById(id)) return;
+  js = d.createElement(s); js.id = id;
+  js.src = "//connect.facebook.net/es_LA/all.js#xfbml=1&appId=106017272902221";
+  fjs.parentNode.insertBefore(js, fjs);
+  }(document, 'script', 'facebook-jssdk'));</script>
+
+  <div class="container">
+
+  <div class="masthead">
+    <div class="navbar">
+    <div class="navbar-inner">
+      <div class="container relative">
+        <div id="header-head">
+          <div id="logo-container">
+            <a href="home.html">
+              <img id="logo" src="img/ngren_logo.png" alt="NgREN logo" />
+            </a>
+            <h1><a href="home.html">Nigerian Research and<br/>Education Network</a></h1>
+          </div>
+            <div class="btn-group pull-right btn-small"
+                 id="user-options">
+              <a class="btn btn-small btn-primary"
+                 href="#">
+                <i class="icon-user icon-white"></i>
+                <span id="user-options-name">
+                  Username
+                </span>
+              </a>
+              <a class="btn btn-small btn-primary dropdown-toggle"
+                 data-toggle="dropdown"
+                 href="#">
+                <span class="caret"></span>
+              </a>
+              <ul class="dropdown-menu btn-small">
+                <li><a href="#">Dashboard</a></li>
+                <li><a href="#">Logout</a></li>
+              </ul>
+            </div><!-- user-options -->
+          <form class="navbar-form pull-right">
+            <input type="text" />
+            <button class="btn btn-primary btn-small search-btn" type="submit">Search</button>
+          </form>
+        </div>
+        <button type="button" class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
+          <span>Menu <b class="caret"></b></span>
+        </button>
+        <div id="menu-collapse" class="nav-collapse collapse">
+          <div class="nav-container">
+            <ul class="nav">
+              <li class="active"><a href="home.html">Home</a></li>
+              <li class="dropdown">
+                <a href="about-us.html" data-toggle="dropdown" class="dropdown-toggle disabled">About us <b class="caret"></b></a>
+                <ul class="dropdown-menu">
+                  <li ><a href="example.html">Board</a></li>
+                  <li ><a href="example.html">Plans</a></li>
+                  <li ><a href="example.html">Policies</a></li>
+                  <li ><a href="example.html">Topology</a></li>
+                  <li ><a href="example.html">News and events</a></li>
+                </ul>
+              </li>
+              <li class="dropdown">
+                <a href="services.html" data-toggle="dropdown" class="dropdown-toggle disabled">Services <b class="caret"></b></a>
+                <ul class="dropdown-menu">
+                  <li ><a href="example.html">Unified communications</a></li>
+                  <li ><a href="example.html">Video conferencing</a></li>
+                  <li ><a href="example.html">Domain name services</a></li>
+                  <li ><a href="example.html">Caching services</a></li>
+                  <li ><a href="example.html">Digital content</a></li>
+                  <li ><a href="example.html">Network Security (CERT)</a></li>
+                  <li ><a href="example.html">Email and messaging</a></li>
+                  <li ><a href="example.html">Colocation</a></li>
+                  <li ><a href="example.html">Bandwidth supply and management</a></li>
+                  <li ><a href="example.html">Backbone transmission</a></li>
+                </ul>
+              </li>
+              <li><a href="example.html">FAQ</a></li>
+            </ul>
+          </div>
+        </div>
+      </div>
+    </div>
+    </div><!-- /.navbar -->
+  </div>
+
+  <!-- Slider -->
+  <div class="rslides_container curly-shadow border-radius slider gradient-radius-module">
+  <div class="curly-shadow-container border-radius">
+  <ul class="rslides slider-container border-radius" id="slider1">
+    <li>
+      <div class="slider-text">
+        <h3><a href="example.html">Welcome to NgREN</a></h3>
+        <p>The NgREN is committed to harmonizing knowledge within the tertiary sector to <span class="highlight">drive productive research, collaboration and knowledge</span> dissemination for the development of Nigeria and Mankind.</p>
+        <a href="example.html">Read more &raquo;</a>
+      </div>
+      <div class="slider-image-container border-radius">
+        <img class="slider-image border-radius" src="img/slider/nigerian-men2.jpg" alt="nigerian woman 1" />
+      </div>
+    </li>
+    <li>
+      <div class="slider-text">
+        <h3><a href="example.html">NgREN and Other RENs</a></h3>
+        <p>The NgREN is committed to harmonizing knowledge within the tertiary sector to drive productive research, collaboration and knowledge dissemination for the development of Nigeria and Mankind.</p>
+        <a href="example.html">Read more &raquo;</a>
+      </div>
+      <div class="slider-image-container border-radius">
+        <img class="slider-image border-radius" src="img/slider/nigerian-women.jpg" alt="nigerian woman 2" />
+      </div>
+    </li>
+    <li>
+      <div class="slider-text">
+        <h3><a href="example.html">Medical Research</a></h3>
+        <p>The NgREN is committed to harmonizing knowledge within the tertiary sector to drive productive research, collaboration and knowledge dissemination for the development of Nigeria and Mankind.</p>
+        <a href="example.html">Read more &raquo;</a>
+      </div>
+      <div class="slider-image-container border-radius">
+        <img class="slider-image border-radius" src="img/slider/health.jpg" alt="nigerian woman 3" />
+      </div>
+    </li>
+    <li>
+      <div class="slider-text">
+        <h3><a href="example.html">Mobility Services</a></h3>
+        <p>The NgREN is committed to harmonizing knowledge within the tertiary sector to drive productive research, collaboration and knowledge dissemination for the development of Nigeria and Mankind.</p>
+        <a href="example.html">Read more &raquo;</a>
+      </div>
+      <div class="slider-image-container border-radius">
+        <img class="slider-image border-radius" src="img/slider/nigerian-men.jpg" alt="nigerian woman 4" />
+      </div>
+    </li>
+  </ul>
+  </div>
+  </div>
+
+  <div class="left-col">
+    <h4 class="title">&raquo; Featured</h4>
+    <div class="row-fluid">
+      <div class="span6 center home-option gradient-radius-module">
+        <a href="example.html"><img class="home-icon" src="img/mobile-icon.png" alt="icon heart" /></a>
+        <h3><a href="example.html">NgREN Infrastructure<br/>and Facilities</a></h3>
+        <p class="text">Read more about the UNICC project.</p>
+        <p><a href="example.html">View details &raquo;</a></p>
+      </div>
+      <div class="span6 center home-option gradient-radius-module">
+        <a href="example.html"><img class="home-icon" src="img/network-icon.png" alt="icon network" /></a>
+        <h3><a href="example.html">NgREN<br/>and Other RENs</a></h3>
+        <p class="text">Read more about NgREN Linkage Plans and Activities.</p>
+        <p><a href="example.html">View details &raquo;</a></p>
+      </div>
+    </div>
+  </div>
+
+  <div class="right-col">
+    <h4 class="title">&raquo; Latest news</h4>
+    <div class="streaming white-background">
+      <div id="streaming-news">
+      <ul>
+        <li>
+          <h4><a href="example.html">Plans and Activities</a></h4>
+          <p class="text">NgREN Linkage Plans and Activities.</p>
+          <p><a href="example.html">Read more</a></p>
+        </li>
+        <li>
+          <h4><a href="example.html">Plans and Activities 2</a></h4>
+          <p class="text">NgREN Linkage Plans and Activities.</p>
+          <p><a href="example.html">Read more</a></p>
+        </li>
+        <li>
+          <h4><a href="example.html">Plans and Activities 3</a></h4>
+          <p class="text">NgREN Linkage Plans and Activities.</p>
+          <p><a href="example.html">Read more</a></p>
+        </li>
+        <li>
+          <h4><a href="example.html">Plans and Activities 4</a></h4>
+          <p class="text">NgREN Linkage Plans and Activities.</p>
+          <p><a href="example.html">Read more</a></p>
+        </li>
+        <li>
+          <h4><a href="example.html">Plans and Activities 5</a></h4>
+          <p class="text">NgREN Linkage Plans and Activities.</p>
+          <p><a href="example.html">Read more</a></p>
+        </li>
+      </ul>
+      </div>
+    </div>
+  </div>
+
+  <div class="full-col">
+    <h4 class="title">&raquo; Partners</h4>
+    <div id="partners-tile" class="gradient-radius-module">
+      <ul>
+        <li id="fme">
+          <a target="_blank" href="http://www.fmegovng.org">
+            <img src="img/logos/fme.png" alt="Federal Ministry of Education" />
+            <span class="title">Federal Ministry of Education</span>
+          </a>
+        </li>
+        <li id="uspf">
+          <a target="_blank" href="http://www.uspf.gov.ng">
+            <img src="img/logos/uspf.png" alt="Universal Service Provision Fund" />
+            <span class="title">Universal Service Provision Fund</span>
+          </a>
+        </li>
+        <li id="tetfund">
+          <a target="_blank" href="http://www.tetfund.gov.ng">
+            <img src="img/logos/tetfund.png" alt="Tetfund" />
+            <span class="title">Tetfund</span>
+          </a>
+        </li>
+        <li id="ncc">
+          <a target="_blank" href="http://www.ncc.gov.ng">
+            <img src="img/logos/ncc.png" alt="Nigerian Communications Commission" />
+            <span class="title">Nigerian Communications Commission</span>
+          </a>
+        </li>
+        <li id="nuc">
+          <a target="_blank" href="http://www.nuc.edu.ng/">
+            <img src="img/logos/nuc.png" alt="Nigerian Communications Commission" />
+            <span class="title">National Universities Commission</span>
+          </a>
+        </li>
+      </ul>
+      <div class="clear">&nbsp;</div>
+    </div>
+  </div>
+
+  <hr>
+
+  <div class="footer">
+    <div class="copyright">
+      <span>&copy; Nigerian Research and Education Network</span>
+      <script type="text/javascript">
+      renderCurrentYear();
+      </script>
+    </div>
+    <div class="address">
+      <ul>
+        <li>NgREN</li>
+        <li>National University Commission</li>
+        <li>Aja Nwachukwu House</li>
+        <li>Aguiyi Ironsi Street</li>
+        <li>Maitama District</li>
+        <li>Abuja, Nigeria</li>
+      </ul>
+    </div>
+
+    <div class="section">
+      <ul>
+        <li class="title">&raquo; NgREN</li>
+        <li><a href="example.html">Contact</a></li>
+        <li><a href="example.html">Sitemap</a></li>
+      </ul>
+    </div>
+  </div>
+
+  </div> <!-- /container -->
+
+  <!-- Le javascript
+  ================================================== -->
+  <!-- Placed at the end of the document so the pages load faster -->
+
+  <script type="text/javascript">
+  $(document).ready(function() {
+    initHomeFunctions();
+  });
+  </script>
 
 </body>